#ifndef RANDOMHANDLER_HPP_INCLUDED
#define RANDOMHANDLER_HPP_INCLUDED

#include "../../Core/Types/Counter.hpp"
#include "../../Core/Types/Countdown.hpp"
#include <cstdint>

namespace RandomHandler
{
    void SetCheckDelay(std::int64_t Time);
    Countdown GetCheckCountdown();
    Counter GetRandomsCounter();
    bool Check();
}

#endif // RANDOMHANDLER_HPP_INCLUDED
